Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1242630 - Can't exec "dpkg-parsechangelog"
Summary: Can't exec "dpkg-parsechangelog"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: debhelper
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Oron Peled
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1014544
TreeView+ depends on / blocked
 
Reported: 2015-07-13 19:42 UTC by Mosaab Alzoubi
Modified: 2015-07-29 01:51 UTC (History)
2 users (show)

Fixed In Version: debhelper-9.20150507-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 01:44:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Mosaab Alzoubi 2015-07-13 19:42:56 UTC
When I try to use deb in Fedora I get this Error :



fakeroot almohawell -d /home/moceap/rpmbuild/RPMS/noarch/almohawell-9.3.2-4.oj35.noarch.rpm
Package build failed. Here's the log:
dh_testdir
dh_testdir
dh_testroot
dh_prep
dh_installdirs
dh_installdocs
dh_installchangelogs
Can't exec "dpkg-parsechangelog": No such file or directory at /usr/share/perl5/vendor_perl/Debian/Debhelper/Dh_Lib.pm line 486.
Use of uninitialized value $version in pattern match (m//) at /usr/share/perl5/vendor_perl/Debian/Debhelper/Dh_Lib.pm line 487.
dh_installchangelogs: changelog parse failure
make: *** [binary-arch] Error 2

Comment 1 Fedora Update System 2015-07-13 22:19:48 UTC
debhelper-9.20150507-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/debhelper-9.20150507-2.fc22

Comment 2 Fedora Update System 2015-07-13 22:38:22 UTC
debhelper-9.20150507-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/debhelper-9.20150507-2.fc21

Comment 3 Fedora Update System 2015-07-14 15:44:16 UTC
Package debhelper-9.20150507-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing debhelper-9.20150507-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11585/debhelper-9.20150507-2.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-07-29 01:44:15 UTC
debhelper-9.20150507-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-07-29 01:51:40 UTC
debhelper-9.20150507-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.